Get Virtual Datacenter

Get Virtual Datacenter
Retrieves a specific virtual datacenter via URN.

Get a specific virtual datacenter

Request
URI
GET
https://{api_host}/cloudapi/v1/virtualDatacenters/{vdcUrn}
COPY
Path Parameters
string
vdcUrn
Required

vdcUrn


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Vdc of type(s) application/json;version=9.1.0
{
    "id": "string",
    "name": "string",
    "description": "string",
    "org": {
        "name": "string",
        "id": "string"
    },
    "region": {
        "name": "string",
        "id": "string"
    },
    "supervisors": [
        {
            "name": "string",
            "id": "string"
        }
    ],
    "zoneResourceAllocation": [
        {
            "zone": {
                "name": "string",
                "id": "string"
            },
            "resourceAllocation": {
                "memoryLimitMiB": 0,
                "memoryReservationMiB": 0,
                "cpuLimitMHz": 0,
                "cpuReservationMHz": 0
            }
        }
    ],
    "status": "string",
    "isFullAllocation": false
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/virtualDatacenters/{vdcUrn}